Magellan Linux

Annotation of /trunk/busybox/patches/busybox-1.20.2-fix-the-wrongly-stored-fs-creation-time-3.patch

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1860 - (hide annotations) (download)
Thu Jul 26 10:54:10 2012 UTC (11 years, 9 months ago) by niro
File size: 3173 byte(s)
-fixed broken patch
1 niro 1860 diff -Naur busybox-1.20.2/include/bb_e2fs_defs.h busybox-1.20.2-magellan/include/bb_e2fs_defs.h
2     --- busybox-1.20.2/include/bb_e2fs_defs.h 2012-07-26 14:49:36.333980754 +0200
3     +++ busybox-1.20.2-magellan/include/bb_e2fs_defs.h 2012-07-26 14:50:10.653984017 +0200
4     @@ -406,21 +406,21 @@
5     * Performance hints. Directory preallocation should only
6     * happen if the EXT2_FEATURE_COMPAT_DIR_PREALLOC flag is on.
7     */
8     - uint8_t s_prealloc_blocks; /* Nr of blocks to try to preallocate*/
9     - uint8_t s_prealloc_dir_blocks; /* Nr to preallocate for dirs */
10     + uint8_t s_prealloc_blocks; /* Nr of blocks to try to preallocate*/
11     + uint8_t s_prealloc_dir_blocks; /* Nr to preallocate for dirs */
12     uint16_t s_reserved_gdt_blocks; /* Per group table for online growth */
13     /*
14     * Journaling support valid if EXT2_FEATURE_COMPAT_HAS_JOURNAL set.
15     */
16     - uint8_t s_journal_uuid[16]; /* uuid of journal superblock */
17     - uint32_t s_journal_inum; /* inode number of journal file */
18     +/*D0*/ uint8_t s_journal_uuid[16]; /* uuid of journal superblock */
19     +/*E0*/ uint32_t s_journal_inum; /* inode number of journal file */
20     uint32_t s_journal_dev; /* device number of journal file */
21     uint32_t s_last_orphan; /* start of list of inodes to delete */
22     uint32_t s_hash_seed[4]; /* HTREE hash seed */
23     uint8_t s_def_hash_version; /* Default hash version to use */
24     uint8_t s_jnl_backup_type; /* Default type of journal backup */
25     uint16_t s_reserved_word_pad;
26     - uint32_t s_default_mount_opts;
27     +/*100*/ uint32_t s_default_mount_opts;
28     uint32_t s_first_meta_bg; /* First metablock group */
29     /* ext3 additions */
30     uint32_t s_mkfs_time; /* When the filesystem was created */
31     diff -Naur busybox-1.20.2/testsuite/mount.tests busybox-1.20.2-magellan/testsuite/mount.tests
32     --- busybox-1.20.2/testsuite/mount.tests 2012-07-02 16:08:25.000000000 +0200
33     +++ busybox-1.20.2-magellan/testsuite/mount.tests 2012-07-26 14:49:55.158982586 +0200
34     @@ -36,7 +36,8 @@
35     "mount -o loop mount.image1m $testdir "\
36     "&& grep -Fc $testdir </proc/mounts "\
37     "&& mount -o remount,mand $testdir "\
38     -"&& grep -F $testdir </proc/mounts | grep -c '[, ]mand[, ]'" \
39     +"&& grep -F $testdir </proc/mounts | grep -c '[, ]mand[, ]'"\
40     +"|| grep -F $testdir </proc/mounts" \
41     "1\n""1\n" \
42     "" ""
43    
44     @@ -83,4 +84,28 @@
45     "" ""
46     SKIP=
47    
48     +
49     +testing "mount RO loop" "\
50     +exec 2>&1
51     +umount -d mount.dir 2>/dev/null
52     +rmdir mount.dir 2>/dev/null
53     +mkdir -p mount.dir
54     +(
55     +cd mount.dir || { echo 'cd error'; exit 1; }
56     +mkdir z1 z2 || { echo 'mkdir error'; exit 1; }
57     +mount -t tmpfs tmpfs z1 || { echo 'mount tmpfs error'; exit 1; }
58     +dd if=/dev/zero of=z1/e2img count=10 bs=1M 2>/dev/null || { echo 'dd error'; exit 1; }
59     +mke2fs -F z1/e2img 2>/dev/null >&2 || { echo 'mke2fs error'; exit 1; }
60     +mount -r -o loop -t ext2 z1/e2img z2 || { echo 'mount -r -o loop error'; exit 1; }
61     +mount -o remount,ro z1 || { echo 'mount -o remount,ro error'; exit 1; }
62     +)
63     +umount -d mount.dir/z2
64     +##losetup -d /dev/loop*
65     +umount -d mount.dir/z1
66     +rm -rf mount.dir
67     +echo DONE
68     +" \
69     +"DONE\n" "" ""
70     +
71     +
72     exit $FAILCOUNT